/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// A class to handle configuration data

// $Id: ConfigurationClass.java,v 1.4 1996/08/04 15:22:33 davidw Exp $
//
// $Log: ConfigurationClass.java,v $
// Revision 1.4  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.3  1996/06/05 18:02:00  davidw
// Added comments
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/13 22:02:28  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;

import java.util.*;

/** 
This interface is implemented by any class which wants to act as a 
handler for a configuration directive.
*/
  
public interface ConfigurationClass
{
    // This function takes the line read in from the
    // config file
    public boolean configure(Vector tokens) throws InvalidHTTPConfigurationException;
}
