/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPConfigurationMap.java,v 1.3 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPConfigurationMap.java,v $
// Revision 1.3  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/28 09:51:17  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;


import java.util.*;

public class HTTPConfigurationMap implements ConfigurationClass
{
    public boolean configure(Vector tokens) throws InvalidHTTPConfigurationException
    {
	if (tokens.size() < 3)
	{
	    throw (new InvalidHTTPConfigurationException("Invalid Format")); 
	}

	String from  = (String)tokens.elementAt(1);
	String to    = (String)tokens.elementAt(2);

	HTTPSystem.verbose ("Adding Map " + from + " -> " + to);
	PathTranslator.addTranslationObject(new TranslationObject(TranslationObject.MAP, from, to));
	
	// Don't need to preserve this class
	return false;
    }
}



