/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPException.java,v 1.3 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPException.java,v $
// Revision 1.3  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/13 22:08:42  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;


public class HTTPException extends Exception
{
    private String info;
    private int status;
    
    public HTTPException()
    {
	super();
	init();
    }

    public HTTPException(String s)
    {
	super(s);
	init();
    }

    private void init()
    {
	status = -1;
	info = null;
    }

    public void setStatus(int i)
    {
	status = i;
    }

    public int getStatus()
    {
	return status;
    }

    public void setInfo(String s)
    {
	info = s;
    }

    public String getInfo()
    {
	return info;
    }

}


