/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: Info.java,v 1.5 1996/08/04 15:22:33 davidw Exp $
// $Log: Info.java,v $
// Revision 1.5  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.4  1996/06/23 13:00:24  davidw
// Update version strings to 0.3Beta
//
// Revision 1.3  1996/06/03 20:17:03  davidw
// Update various strings
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/05/06 10:44:37  davidw
// Initial revision
//

package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;


// Store useful constants

public class Info
{
    // What are we called?
    final static String version = "0.3Beta";
    final static String id      = "CascadeHTTP/" + version;

    //What protocol do we support?
    final static String protocolVersion = "1.0";
    final static String protocolId = "HTTP/" + protocolVersion;

    //What CGI version do we support?
    final static String gatewayVersion = "1.1";
    final static String gatewayId = "CGI/" + gatewayVersion;

    // Mime?
    final static String mimeVersion = "1.0";
    final static String mimeId = "Mime/" + mimeVersion;

    // How do we identify configuration classes?
    final static String configurationClassPrefix = "uk.co.demon.cascade.http.HTTPConfiguration";
    final static String configurationClassInterface = "uk.co.demon.cascade.http.ConfigurationClass";

    // How do we identify server extension classes?
    final static String extensionClassInterface = "uk.co.demon.cascade.http.HTTPServerExtension";
}
