/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: HTTPConfigurationAddType.java,v 1.3 1996/08/04 15:22:33 davidw Exp $
//
// $Log: HTTPConfigurationAddType.java,v $
// Revision 1.3  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.2  1996/05/06 15:37:25  davidw
// Made into package uk.co.demon.cascade.http
//
// Revision 1.1  1996/04/13 22:05:16  davidw
// Initial revision
//


package uk.co.demon.cascade.http;

import uk.co.demon.cascade.http.*;

import java.util.*;

public class HTTPConfigurationAddType implements ConfigurationClass
{
    public boolean configure(Vector tokens) throws InvalidHTTPConfigurationException
    {
	if (tokens.size() < 3)
	{
	    throw (new InvalidHTTPConfigurationException("Invalid Format")); 
	}

	String suffix = (String)tokens.elementAt(1);
	String type   = (String)tokens.elementAt(2);

	MimeTypeDictionary.addType(suffix, type);
	
	// Don't need to preserve this class
	return false;
    }
}



