/////////////////////////////////////////////////////////////
// This source code is Copyright (C) David Wilkinson 1996.
// All rights reserved.
//
// For more information,
//
//    Email: davidw@cascade.demon.co.uk
//    URL:   http://www.netlink.co.uk/users/cascade/http/
//
/////////////////////////////////////////////////////////////

// $Id: MessageHeaders.java,v 1.2 1996/08/04 15:22:33 davidw Exp $
//
// $Log: MessageHeaders.java,v $
// Revision 1.2  1996/08/04 15:22:33  davidw
// Added copyright
//
// Revision 1.1  1996/06/03 20:17:19  davidw
// Initial revision
//


package uk.co.demon.cascade.http;
import uk.co.demon.cascade.http.*;


import java.util.*;

public class MessageHeaders
{
    private Hashtable headers;

    public MessageHeaders()
    {
	headers = new Hashtable();
    }

    public synchronized void put(String key, String value)
    {
	if (key != null && value != null)
	{
	    headers.put(key.toLowerCase(), value);
	}
    }
    
    
    public String get(String key)
    {
	return (String) headers.get(key.toLowerCase());
    }

    public Enumeration keys()
    {
	return headers.keys();
    }

    public Enumeration elements()
    {
	return headers.elements();
    }
}

